<?php

namespace App\Nova\Resources\Ecommerce\Product\Product\Concerns;

use Illuminate\Database\Eloquent\Model;
use Laravel\Nova\Http\Requests\NovaRequest;

trait HandlesProductResourceEvents
{
    public static function afterCreate(NovaRequest $request, Model $model): void
    {
        ProductFieldsForCreate::afterCreate($request, $model);
    }

    public static function afterUpdate(NovaRequest $request, Model $model): void
    {
        ProductFieldsForUpdate::afterUpdate($request, $model);
    }
}
